<?php
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/><div class="head"><img src="./images/Q_wolfs_nemesis.png" alt=* align=center> Постройка зданий';
echo ' <div style="clear: left"></div></div>';
if($_GET['select'] == "")
{
	$tbs=mysql_query("SELECT * FROM buildings");
	while($tb=mysql_fetch_array($tbs))
	{
		$test=mysql_query("SELECT * FROM ubuildings WHERE owner_id='$id' AND sname='$tb[sname]'");
		if(mysql_num_rows($test) == 0)
		{
			 echo '<a class="razd" href="build.php?select='.$tb['sname'].'">'.$tb['name'].'</a>';
		}
	}
}
else
{
echo '<div class="info">';
	$sname=htmlspecialchars($_GET['select']);
	$error='';
	$test=mysql_query("SELECT * FROM buildings WHERE sname='$sname'");
	$test2=mysql_query("SELECT * FROM ubuildings WHERE owner_id='$id' AND sname='$sname'");
	if(mysql_num_rows($test) == 0){ $error='Здание не найдено'; }
	if(mysql_num_rows($test2) > 0){ $error='У вас уже есть это здание'; }
	if($error == "")
	{
		$b=mysql_fetch_array($test);
 		if($_GET['act'] == "")
 		{
 			echo '<u>'.$b['name'].'</u><br />
			<form action="'.$self.'&act=build" method="post">
            Деньги: <b>'.$b['money'].'</b><br />
            Дерево: <b>'.$b['lumber'].'</b><br />
            Камень: <b>'.$b['stone'].'</b><br />
            Железо: <b>'.$b['iron'].'</b><br />
            Земля: <b>'.$b['land'].'</b><br />
            Рабочие:<br />
            <input name="workers" size="10" maxlength="10" type="text" value=""><br />
            <input type="submit" value="Строить">
			</form>
 			';
 		}
 		else
 		{
        	$error='';
        	$workers=abs($_POST['workers']);
			if ($workers=='0') $error .= 'Неправильное количество рабочих';
        	if($user['money'] < $b['money']){ $bet=$b['money']-$user['money']; $error.='Вам не хватает <b>'.$bet.'</b> денег.<br />'; }
        	if($user['lumber'] < $b['lumber']){ $bet=$b['lumber']-$user['lumber']; $error.='Вам не хватает <b>'.$bet.'</b> дерева.<br />'; }
        	if($user['stone'] < $b['stone']){ $bet=$b['stone']-$user['stone']; $error.='Вам не хватает <b>'.$bet.'</b> камня.'; }
        	if($user['iron'] < $b['iron']){ $bet=$b['iron']-$user['iron']; $error.='Вам не хватает <b>'.$bet.'</b> железа.<br />'; }
        	if($user['land'] < $b['land']){ $bet=$b['land']-$user['land']; $error.='Вам не хватает <b>'.$bet.'</b> земли.<br />'; }
        	if($user['workers'] < $workers){ $error.='У вас нету столько рабочих.<br />'; }
        	if($user['workers'] < 1){ $error.='Вы должны отправить хоть одного рабочего на стройку здания.<br />'; }
        	if($error == "")
        	{
        		$time_end=$time+($b['time_build']/$workers);
            	mysql_query("INSERT INTO ubuildings SET
            	workers='$workers',
            	name='$b[name]',
            	sname='$b[sname]',
            	time_end='$time_end',
            	owner_id='$id',
            	time_start='$time'
            	");
            	mysql_query("UPDATE users SET
            	money=money-'$b[money]',
            	lumber=lumber-'$b[lumber]',
            	stone=stone-'$b[stone]',
            	iron=iron-'$b[iron]',
            	land=land-'$b[land]',
            	workers=workers-'$workers'
            	WHERE id='$id'
            	");
            	echo 'Постройка <u>'.$b['name'].'</u> будет завершена через ';
            	time_end($time_end);
            	echo '<br /><a href="build.php">'.$iback.'К выбору</a>';
        	}
        	else
        	{
        		echo '<b>Ошибка!</b><br /> '.$error;
        	}
 		}
	}
	else
	{
		echo 'Ошибка. '.$error;
	}
}
echo '
</div>

<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer">
<div align="center"><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br /></div>
</div>
</body></html>
';

?>